code stringlengths 1 1.96M | language stringclasses 1
value |
|---|---|
#!/bin/bash
source ~/.bashrc-private
Transfer -be 31.35 -bw 5 -ex 4 -cp 1 -nc 1 -lf /Programs/Transfer/LevelFiles/Be12Levels.dat -r 11Be 2H 1 -tm 0. -tM 3.1415 -sc mylar -sf /Programs/Transfer/Settings/11Be_Settings.dat -tc 1. -f ~/Physics/Phd./is430/2010/Data/Simulation/11Be_dp_res_w200 -n 1000000
scp ~/Physics/Phd./i... | Shell |
#!/bin/bash
source ~/.bashrc-private
Transfer -be 30.8 -bw 5 -ex 4 -cp 1 -lf /Programs/Transfer/LevelFiles/Be11Rutherford.dat -r 11Be 107Ag 0 -tm 0.1 -tM 2.9 -sc mylar -sf /Programs/Transfer/Settings/Rutherford.dat -tc 0. -f ~/Physics/Phd./is430/2010/Data/Simulation/11Be_Ag -n 1000000
scp ~/Physics/Phd./is430/2010/Data... | Shell |
#!/bin/bash
source ~/.profile
cd ~/SimulationData
Transfer -g -lf ~/Simulation/LevelFiles/Mg31FourLevels.dat -op ~/Simulation/OP_30Mg_1H_2H_12C.dat -sc mylar -sf ~/Simulation/Settings/DefaultSettings100ugTarget.dat -tc -1. -f ~/SimulationData/Mg31fourlevel_screened_real_100ugTarget -n 1000000
| Shell |
#!/bin/bash
source ~/.profile
cd ~/SimulationData
Transfer -g -lf ~/Simulation/LevelFiles/Mg31FourLevels.dat -op ~/Simulation/OP_30Mg_1H_2H_12C.dat -sc mylar -sf ~/Simulation/Settings/DefaultSettings.dat -tc 1. -f ~/SimulationData/Mg31fourlevel_screened_transfer -n 1000000
| Shell |
#!/bin/bash
source ~/.bashrc-private
Transfer -be 30 -g -ex 2 -lf /Programs/Transfer/LevelFiles/Mg31FourLevels.dat -sc mylar -sf /Programs/Transfer/Settings/DefaultSettings.dat -tc -1. -f ~/Physics/Phd./is430/2009/Simulation/tester -n 100000
| Shell |
#!/bin/bash
if [ $# -ne 1 -a $# -ne 2 ];
then
echo "usage: submit.sh <scriptname> <number of runs>"
exit -1
fi
log=/home/vbild/logs
if [ $# -eq 2 ]
then
if [ $2 -eq 1 ]
then
qsub -l nodes=cpu -j oe -o $log submit/$1.sh
else
submit/CreateScript.sh $1 $2
for ((i=1;i<=$2;i++))
do
qsub -l ... | Shell |
#! /bin/sh
#
# Shell script to integrate madwifi sources into a Linux
# source tree so it can be built statically. Typically this
# is done to simplify debugging with tools like kgdb.
#
set -e
die()
{
echo "FATAL ERROR: $1" >&2
exit 1
}
SRC=..
KERNEL_VERSION=`uname -r`
if test -n "$1"; then
KERNEL_PATH="$1"
els... | Shell |
#! /bin/sh
#
# Shell script to integrate madwifi sources into a Linux
# source tree so it can be built statically. Typically this
# is done to simplify debugging with tools like kgdb.
#
set -e
die()
{
echo "FATAL ERROR: $1" >&2
exit 1
}
SRC=..
KERNEL_VERSION=`uname -r`
if test -n "$1"; then
KERNEL_PATH="$1"
els... | Shell |
#!/bin/sh
if [ -z "${1}" ] ; then
echo "Purpose:"
echo "Locate all madwifi-related kernel modules for a given kernel"
echo "(including all its subdirectories)."
echo
echo "Usage:"
echo "$0 <kernelrelease> [destdir]"
echo
echo "<kernelrelease>: the kernel release that madwifi has been compiled for"
echo "[dest... | Shell |
#!/bin/bash
for module in ath{_{pci,rate_{amrr,onoe,sample},hal}} wlan{_{wep,tkip,ccmp,acl,xauth,scan_{sta,ap}},}
do
grep -q ^$module /proc/modules && modprobe -r $module
done
| Shell |
#!/bin/sh
if [ -z "${1}" ] ; then
echo "Purpose:"
echo "Locate all madwifi-related kernel modules for a given kernel"
echo "(including all its subdirectories)."
echo
echo "Usage:"
echo "$0 <kernelrelease> [destdir]"
echo
echo "<kernelrelease>: the kernel release that madwifi has been compiled for"
echo "[dest... | Shell |
#!/bin/bash
#
# Purpose: automate the process of tagging a release and packing a tarball
# for it.
# check if the script has been called directly
if [[ "$(basename $(pwd))" == "scripts" ]]; then
echo
echo "ERROR:"
echo "Call this script via \"make release\" in the top-level directory of your"
echo "wor... | Shell |
#!/bin/bash
for module in ath{_{pci,rate_{amrr,onoe,sample},hal}} wlan{_{wep,tkip,ccmp,acl,xauth,scan_{sta,ap}},}
do
grep -q ^$module /proc/modules && modprobe -r $module
done
| Shell |
#!/bin/bash
#
# Purpose: automate the process of tagging a release and packing a tarball
# for it.
# check if the script has been called directly
if [[ "$(basename $(pwd))" == "scripts" ]]; then
echo
echo "ERROR:"
echo "Call this script via \"make release\" in the top-level directory of your"
echo "wor... | Shell |
#! /bin/sh
#
# Shell script to integrate madwifi sources into a Linux
# source tree so it can be built statically. Typically this
# is done to simplify debugging with tools like kgdb.
#
set -e
die()
{
echo "FATAL ERROR: $1" >&2
exit 1
}
SRC=..
KERNEL_VERSION=`uname -r`
if test -n "$1"; then
KERNEL_PATH="$1"
els... | Shell |
#! /bin/sh
#
# Shell script to integrate madwifi sources into a Linux
# source tree so it can be built statically. Typically this
# is done to simplify debugging with tools like kgdb.
#
set -e
die()
{
echo "FATAL ERROR: $1" >&2
exit 1
}
SRC=..
KERNEL_VERSION=`uname -r`
if test -n "$1"; then
KERNEL_PATH="$1"
els... | Shell |
#!/bin/sh
if [ -z "${1}" ] ; then
echo "Purpose:"
echo "Locate all madwifi-related kernel modules for a given kernel"
echo "(including all its subdirectories)."
echo
echo "Usage:"
echo "$0 <kernelrelease> [destdir]"
echo
echo "<kernelrelease>: the kernel release that madwifi has been compiled for"
echo "[dest... | Shell |
#!/bin/bash
for module in ath{_{pci,rate_{amrr,onoe,sample},hal}} wlan{_{wep,tkip,ccmp,acl,xauth,scan_{sta,ap}},}
do
grep -q ^$module /proc/modules && modprobe -r $module
done
| Shell |
#!/bin/sh
if [ -z "${1}" ] ; then
echo "Purpose:"
echo "Locate all madwifi-related kernel modules for a given kernel"
echo "(including all its subdirectories)."
echo
echo "Usage:"
echo "$0 <kernelrelease> [destdir]"
echo
echo "<kernelrelease>: the kernel release that madwifi has been compiled for"
echo "[dest... | Shell |
#!/bin/bash
#
# Purpose: automate the process of tagging a release and packing a tarball
# for it.
# check if the script has been called directly
if [[ "$(basename $(pwd))" == "scripts" ]]; then
echo
echo "ERROR:"
echo "Call this script via \"make release\" in the top-level directory of your"
echo "wor... | Shell |
#!/bin/bash
for module in ath{_{pci,rate_{amrr,onoe,sample},hal}} wlan{_{wep,tkip,ccmp,acl,xauth,scan_{sta,ap}},}
do
grep -q ^$module /proc/modules && modprobe -r $module
done
| Shell |
#!/bin/bash
#
# Purpose: automate the process of tagging a release and packing a tarball
# for it.
# check if the script has been called directly
if [[ "$(basename $(pwd))" == "scripts" ]]; then
echo
echo "ERROR:"
echo "Call this script via \"make release\" in the top-level directory of your"
echo "wor... | Shell |
#!/bin/sh
# Copyright 2010 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed ... | Shell |
#!/bin/sh
#http://developer.apple.com/library/mac/#documentation/Java/Conceptual/Java14Development/03-JavaDeployment/JavaDeployment.html
#http://stackoverflow.com/questions/96882/how-do-i-create-a-nice-looking-dmg-for-mac-os-x-using-command-line-tools
set -o verbose #echo onset +o verbose #echo off
# Note: this must ... | Shell |
#!/bin/sh
# Copyright 2010 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed ... | Shell |
#!/bin/sh
# Copyright 2010 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed ... | Shell |
#!/bin/bash
#
# Copyright 2010 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed ... | Shell |
#!/bin/sh
###
### Job name
#SBATCH --job-name=illumina
### Name of queue to submit to
###SBATCH --partition killing
### Time limit of total run time of the job
###SBATCH --time=20:00:00
### Number of processor cores
#SBATCH -n 20
#SBATCH --error=slurm-%j.err
### The actual job execution
seqs='./data/A4-06_AAGCCAAT_L00... | Shell |
#!/bin/sh
otu='otu02'
seqs='../clean/TIT003_clean.fna'
cores='5'
map='/home/user/ams/Dropbox/projects/TIT003/mappingfile.txt'
param='custom_parameters.txt'
pick_otus_through_otu_table.py -i $seqs -o $otu -p $param -a -O $cores
summarize_taxa_through_plots.py -i $otu/otu_table.txt -o taxa_summary -m $map -p $param
e... | Shell |
#!/bin/sh
otu='otu02'
seqs='../clean/TIT003_clean.fna'
cores='5'
map='/home/user/ams/Dropbox/projects/TIT003/mappingfile.txt'
param='custom_parameters.txt'
pick_otus_through_otu_table.py -i $seqs -o $otu -p $param -a -O $cores
summarize_taxa_through_plots.py -i $otu/otu_table.txt -o taxa_summary -m $map -p $param
e... | Shell |
#!/bin/sh
otu='otu02'
seqs='../clean/TIT003_clean.fna'
cores='5'
map='/home/user/ams/Dropbox/projects/TIT003/mappingfile.txt'
param='custom_parameters.txt'
pick_otus_through_otu_table.py -i $seqs -o $otu -p $param -a -O $cores
summarize_taxa_through_plots.py -i $otu/otu_table.txt -o taxa_summary -m $map -p $param
e... | Shell |
#!/bin/sh
otu='otu02'
seqs='../clean/TIT003_clean.fna'
cores='5'
map='/home/user/ams/Dropbox/projects/TIT003/mappingfile.txt'
param='custom_parameters.txt'
pick_otus_through_otu_table.py -i $seqs -o $otu -p $param -a -O $cores
summarize_taxa_through_plots.py -i $otu/otu_table.txt -o taxa_summary -m $map -p $param
e... | Shell |
#!/bin/sh
###
### Job name
#SBATCH --job-name=illumina
### Name of queue to submit to
###SBATCH --partition killing
### Time limit of total run time of the job
###SBATCH --time=20:00:00
### Number of processor cores
#SBATCH -n 20
#SBATCH --error=slurm-%j.err
### The actual job execution
seqs='./data/A4-06_AAGCCAAT_L00... | Shell |
#!/bin/sh
#
# Usage example: ./generate.sh int Int Integer"
# Args are: primitive type, capitalized primitive type, wrapper type
#
# To make changes to the .java files in this package,
# 1. run this script to generate the templates, move the .gen files
# somewhere else
# 2. modify the template with your intended cha... | Shell |
#!/bin/bash
#
# This script checks the java version and bails if it's less
# than Java6 (because we use @Override annotations on interface
# overriding methods. It then proceeds to do a maven build that
# first cleans, then builds the normal lifecycle through compilation
# unit testing (if available) up to packaging. ... | Shell |
#!/bin/sh
include_docs=-Dgerrit.include-documentation=1
while [ $# -gt 0 ]
do
case "$1" in
--no-documentation|--without-documentation)
include_docs=
shift
;;
*)
echo >&2 "usage: $0 [--without-documentation]"
exit 1
esac
done
git update-index -q --refresh
if test -n "$(git diff-index --name-only HEAD -... | Shell |
#!/bin/sh
set -e
SRC=$(ls gerrit-plugin-api/target/gerrit-plugin-api-*-sources.jar)
VER=${SRC#gerrit-plugin-api/target/gerrit-plugin-api-}
VER=${VER%-sources.jar}
type=release
case $VER in
*-SNAPSHOT)
echo >&2 "fatal: Cannot deploy $VER"
echo >&2 " Use ./tools/version.sh --release && mvn clean package"
e... | Shell |
#!/bin/sh
# Update all pom.xml with new build number
#
# TODO(sop) This should be converted to some sort of
# Java based Maven plugin so its fully portable.
#
POM_FILES=$(git ls-files | grep pom.xml)
case "$1" in
--snapshot=*)
V=$(echo "$1" | perl -pe 's/^--snapshot=//')
if [ -z "$V" ]
then
echo >&2 "usage: $0 ... | Shell |
#!/bin/sh
export JETTY_HOST=127.0.0.1
export JETTY_PORT=8081
export JETTY_USER=gerrit2
export JETTY_PID=/var/run/jetty$JETTY_PORT.pid
export JETTY_HOME=/home/$JETTY_USER/jetty
export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.07/jre
JAVA_OPTIONS=""
JAVA_OPTIONS="$JAVA_OPTIONS -Djetty.host=$JETTY_HOST"
export JAVA_OPTION... | Shell |
#!/bin/sh
#
# Part of Gerrit Code Review (http://code.google.com/p/gerrit/)
#
# Copyright (C) 2009 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://w... | Shell |
#!/bin/sh
V=$(git describe HEAD)
case "$V" in
'')
echo >&2 "fatal: no annotated tags, cannot determine version"
exit 1
;;
*-g*)
echo >&2 "fatal: snapshot $V, cannot determine version"
exit 1
;;
v*)
echo "$V" | perl -lne 'print $1 if /^v(\d+\.\d+(?:\.\d+)?)/'
;;
esac
| Shell |
#!/bin/sh
#
# Launch Gerrit Code Review as a daemon process.
# To get the service to restart correctly on reboot, uncomment below (3 lines):
# ========================
# chkconfig: 3 99 99
# description: Gerrit Code Review
# processname: gerrit
# ========================
# Configuration files:
#
# /etc/default/gerrit... | Shell |
#!/bin/bash
# Copyright (c) 2012, Code Aurora Forum. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# # Redistributions of source code must retain the above copyright
# notice, this list... | Shell |
#!/bin/sh
# Copyright 2014 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applica... | Shell |
#!/bin/sh
if [[ -z $ADB ]]; then ADB=adb; fi
./kill_process.sh
$ADB shell rm -r /data/data/com.google.android.apps.iosched/* | Shell |
#!/bin/sh
adb shell cat /data/data/com.google.android.apps.iosched/shared_prefs/com.google.android.apps.iosched_preferences.xml | xmllint --format - | Shell |
#!/bin/sh
if [[ -z $ADB ]]; then ADB=adb; fi
$ADB shell am start \
-a android.intent.action.MAIN \
-c android.intent.category.LAUNCHER \
-n com.google.android.apps.iosched/.ui.HomeActivity
| Shell |
#!/bin/sh
adb shell pm clear com.google.android.apps.iosched | Shell |
#!/bin/sh
if [[ -z $ADB ]]; then ADB=adb; fi
$ADB shell am force-stop com.google.android.apps.iosched
| Shell |
#!/bin/sh
if [[ -z $ADB ]]; then ADB=adb; fi
MAC_UNAME="Darwin"
if [[ "`uname`" == ${MAC_UNAME} ]]; then
DATE_FORMAT="%Y-%m-%dT%H:%M:%S"
else
DATE_FORMAT="%Y-%m-%d %H:%M:%S"
fi
if [ -z "$1" ]; then
NOW_DATE=$(date "+${DATE_FORMAT}")
echo Please provide a mock time in the format \"${NOW_DATE}\" or \"d\" to del... | Shell |
#!/bin/sh
# Remember VERBOSE only works on debug builds of the app
adb shell setprop log.tag.iosched_SyncHelper VERBOSE
adb shell setprop log.tag.iosched_SessionsHandler VERBOSE
adb shell setprop log.tag.iosched_ImageCache VERBOSE
adb shell setprop log.tag.iosched_ImageWorker VERBOSE
adb shell setprop log.tag.iosched_I... | Shell |
#!/bin/sh
if [[ -z $ADB ]]; then ADB=adb; fi
$ADB shell "echo '$*' | sqlite3 -header -column /data/data/com.google.android.apps.iosched/databases/schedule.db" | Shell |
#!/bin/sh
# Sessions list
#adb shell am start -a android.intent.action.VIEW -d content://com.google.android.apps.iosched/tracks/android/sessions
# Vendors list
#adb shell am start -a android.intent.action.VIEW -d content://com.google.android.apps.iosched/tracks/android/vendors
# Session detail
#adb shell am start -a... | Shell |
#!/bin/sh
REV=`hg log -l 1 | grep changeset | cut -d: -f 2 | tr -d ' '`
echo $(($REV+1))
| Shell |
#!/bin/bash
SCRIPT_PATH=$0
GP_HOME=`dirname "$SCRIPT_PATH"`
GP_LOG_DIR="$HOME/.ganttproject.d"
# Check if log dir is present (or create it)
if [ ! -d $GP_LOG_DIR ]; then
if [ -e $GP_LOG_DIR ]; then
echo "file $GP_LOG_DIR exists and is not a directory" >&2
exit 1
fi
if ! mkdir $GP_LOG_DIR ; then
ec... | Shell |
#!/bin/sh
set -e
if [ -e /usr/bin/ganttproject ]; then rm -f /usr/bin/ganttproject; fi
if [ -x "$(which update-mime >/dev/null 2>&1)" ]; then update-mime; fi
if [ -x "$(which update-menus 2>/dev/null)" ]; then update-menus; fi
| Shell |
#!/bin/sh
set -e
if [ "$1" = "configure" ]; then
if [ -e /usr/bin/ganttproject ]; then rm -f /usr/bin/ganttproject; fi
ln -s /usr/share/ganttproject/ganttproject /usr/bin/ganttproject
if [ -x "$(which update-menus 2>/dev/null)" ]; then update-menus; fi
if [ -x "$(which update-mime 2>/dev/null)" ]; then update... | Shell |
#!/bin/bash
cat $1 | sed s/^\\\([0-9_\\.a-zA-Z]\\+\\\)\\s\*=\\s\*/\\1\ =\ / | sed s/\\\\u\\\([0-9a-f]\\{4\\}\\\)/\\\\u\\U\\1\\E/g > $2
| Shell |
#! /bin/bash
# Location where to install GanttProject
INSTALL_PATH=/usr/local/share/ganttproject/
# Location of executable of GanttProject
GP_EXECUTABLE=/usr/local/bin/ganttproject
# Assuming that writing at INSTALL_PATH and GP_EXECUTABLE needs root rights:
if [ "$(id -u)" != "0" ]; then
echo "This script must be... | Shell |
#!/bin/bash
SCRIPT_PATH=$0
RESOLVED_PATH=`readlink -f "$SCRIPT_PATH"`
while [ ! "$RESOLVED_PATH" = "$SCRIPT_PATH" ]; do
SCRIPT_PATH=$RESOLVED_PATH
RESOLVED_PATH=`readlink -f "$SCRIPT_PATH"`
done
GP_HOME=`dirname "$SCRIPT_PATH"`
GP_LOG_DIR="$HOME/.ganttproject.d"
# Check if log dir is present (or create it)
if [ ... | Shell |
#!/bin/sh
cd SinglePassTests
./createTestData.sh
cd .. | Shell |
#!/bin/sh
cd DirectoryStructureTests
./createTestData.sh
cd ../FileNameTests
./createTestData.sh
cd ../PermissionTests
./createTestData.sh
cd ../FileVolumeTests
./createTestData.sh
cd ../FileSizeTests
./createTestData.sh
cd .. | Shell |
#!/bin/sh
echo "WARNING: this script will create 111,100 small files on your drive, and"
echo " it will take quite a while to do so."
read -p "Press any key to continue or Ctrl+C to quit..."
echo "Creating 100 files..."
mkdir -p 100files
./createFiles.sh 100 ./100files/
echo "Creating 1000 files..."
mkdir -p... | Shell |
#!/bin/bash
# Validation
if [ -z $1 ]; then
echo "Please specify the number of files to create as the first command line parameter." >&2
exit 1
fi
if [ -z $2 ]; then
echo "Please specify the target directory in which to write the files as the second command line parameter." >&2
exit 1
fi
if [ $1 -ge 0 ]; the... | Shell |
#!/bin/sh
echo "WARNING: this script will fail in unpleasant ways on non-Unicode filesystems."
echo "Creating test files with spaces and long names..."
echo "This file has space characters in its name." > "file with spaces in the name.txt"
echo "This file has an exceptionally long name (longer than 128 characters). It... | Shell |
#!/bin/sh
mkdir -p sub1/1.1
mkdir -p sub1/1.2
mkdir -p sub1/1.3
mkdir -p sub1/1.4
mkdir -p sub1/1.5
mkdir -p sub1/1.6
mkdir -p sub1/1.7
mkdir -p sub1/1.8
mkdir -p sub1/1.9
mkdir -p sub1/1.10
mkdir -p sub2/sub2.1/sub2.1.1/sub2.1.1.1/sub2.1.1.1.1/sub2.1.1.1.1.1/sub2.1.1.1.1.1.1/sub2.1.1.1.1.1.1.1
mkdir -p sub3
mkdir -p d... | Shell |
#!/bin/sh
echo "Creating permissioned and non-permissioned files..."
echo "The quick brown fox jumps over the lazy dogs." > readable.txt
mkdir -p readableDirectory
echo "The quick brown fox jumps over the lazy dogs." > unreadable.txt
mkdir -p unreadableDirectory
chmod ugo-rwx unreadable*
| Shell |
#!/bin/sh
rm -rf readable*
chmod u+rwx unreadable*
rm -rf unreadable*
| Shell |
#!/bin/sh
echo "WARNING: this script will create around 4.2GB of random data on your drive, and"
echo " it will take quite a while to do so."
read -p "Press any key to continue or Ctrl+C to quit..."
echo "Creating small (KB) files..."
touch zeroByte.bin
dd if=/dev/urandom of=oneKilobyte.bin bs=1024 count=1
dd... | Shell |
#!/bin/sh
# Create a backup tar gzip file of the cwd with the date appended
# located in the parent directory.
FILENAME=../`pwd|xargs basename`-`date -j "+%Y-%m-%d"`.tgz
echo Will create $FILENAME
tar cfz $FILENAME .
echo Done.
| Shell |
#!/bin/bash
#
# Starts a basic web server on the port specified.
#
# ./serve.sh 3000 -> http://localhost:3000
#
# Copyright 2012 Eric Bidelman <ebidel@gmail.com>
port=$1
if [ $# -ne 1 ]
then
port=8000
fi
if [ $(uname -s) == "Darwin" ]
then
open=open
else
open=xdg-open
fi
$open http://localhost:$port/templat... | Shell |
#!/bin/sh
# START-COMMIT HOOK
#
# The start-commit hook is invoked before a Subversion txn is created
# in the process of doing a commit. Subversion runs this hook
# by invoking a program (script, executable, binary, etc.) named
# 'start-commit' (for which this file is a template)
# with the following ordered... | Shell |
#!/bin/sh
# PRE-COMMIT HOOK
#
# The pre-commit hook is invoked before a Subversion txn is
# committed. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-commit' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH (t... | Shell |
#!/bin/sh
# PRE-LOCK HOOK
#
# The pre-lock hook is invoked before an exclusive lock is
# created. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-lock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH (the pat... | Shell |
#!/bin/sh
# POST-COMMIT HOOK
#
# The post-commit hook is invoked after a commit. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-commit' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this rep... | Shell |
#!/bin/sh
# PRE-COMMIT HOOK
#
# The pre-commit hook is invoked before a Subversion txn is
# committed. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-commit' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH (t... | Shell |
#!/bin/sh
# PRE-REVPROP-CHANGE HOOK
#
# The pre-revprop-change hook is invoked before a revision property
# is added, modified or deleted. Subversion runs this hook by invoking
# a program (script, executable, binary, etc.) named 'pre-revprop-change'
# (for which this file is a template), with the following or... | Shell |
#!/bin/sh
# PRE-LOCK HOOK
#
# The pre-lock hook is invoked before an exclusive lock is
# created. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-lock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH (the pat... | Shell |
#!/bin/sh
# POST-REVPROP-CHANGE HOOK
#
# The post-revprop-change hook is invoked after a revision property
# has been added, modified or deleted. Subversion runs this hook by
# invoking a program (script, executable, binary, etc.) named
# 'post-revprop-change' (for which this file is a template), with the
# f... | Shell |
#!/bin/sh
# POST-LOCK HOOK
#
# The post-lock hook is run after a path is locked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-lock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this repos... | Shell |
#!/bin/sh
# PRE-UNLOCK HOOK
#
# The pre-unlock hook is invoked before an exclusive lock is
# destroyed. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-unlock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH ... | Shell |
#!/bin/sh
# START-COMMIT HOOK
#
# The start-commit hook is invoked before a Subversion txn is created
# in the process of doing a commit. Subversion runs this hook
# by invoking a program (script, executable, binary, etc.) named
# 'start-commit' (for which this file is a template)
# with the following ordered... | Shell |
#!/bin/sh
# POST-COMMIT HOOK
#
# The post-commit hook is invoked after a commit. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-commit' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this rep... | Shell |
#!/bin/sh
# POST-UNLOCK HOOK
#
# The post-unlock hook runs after a path is unlocked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-unlock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this... | Shell |
#!/bin/sh
# POST-UNLOCK HOOK
#
# The post-unlock hook runs after a path is unlocked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-unlock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this... | Shell |
#!/bin/sh
# PRE-REVPROP-CHANGE HOOK
#
# The pre-revprop-change hook is invoked before a revision property
# is added, modified or deleted. Subversion runs this hook by invoking
# a program (script, executable, binary, etc.) named 'pre-revprop-change'
# (for which this file is a template), with the following or... | Shell |
#!/bin/sh
# POST-LOCK HOOK
#
# The post-lock hook is run after a path is locked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-lock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this repos... | Shell |
#!/bin/sh
# POST-REVPROP-CHANGE HOOK
#
# The post-revprop-change hook is invoked after a revision property
# has been added, modified or deleted. Subversion runs this hook by
# invoking a program (script, executable, binary, etc.) named
# 'post-revprop-change' (for which this file is a template), with the
# f... | Shell |
#!/bin/sh
# PRE-UNLOCK HOOK
#
# The pre-unlock hook is invoked before an exclusive lock is
# destroyed. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-unlock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH ... | Shell |
#!/bin/bash
cd $HOME/tmp/circuit/cluster/127.0.0.1/*/lang
LANGDIR=$PWD
cd Chan
mkdir c1 c2
echo 0 >> c1/cap
echo 0 >> c2/cap
cd ../Select
mkdir s1
cat <<EOF >> s1/cases_lines
$LANGDIR/Chan/c1/recv
$LANGDIR/Chan/c2/send
select says hi to c2\n
EOF
sendsleep=$(( $RANDOM % 3 ))
recvsleep=$(( $RANDOM % 3 ))
echo "select ... | Shell |
#!/bin/sh
./bdf2dfont.ff circuit_7x14 *bdf
| Shell |
#!/bin/sh
docker run -d -i -t -n -p=4499 ubuntu:circuit /bin/bash
| Shell |
#!/bin/sh
echo "loading circuit environment..."
home=$HOME
src=$home/genus/misc/vagrant
gocircuit=$home/gocircuit
# Install environment
cd $home
cp $src/.profile .profile
. .profile
# Set up mount point for the circuit
mkdir /circuit
chown vagrant /circuit
chgrp fuse /circuit
addgroup vagrant fuse
# fuse.conf
cp $... | Shell |
#!/bin/sh
docker run -d -t -n -p=4499 ubuntu:circuit nc -l 4499
| Shell |
#!/bin/sh
find ./ -name "*.html.0" | sed 's/html.0/html/g' | xargs -IX ../../lib/4tc/4tc html.0 X.0 X
| Shell |
#!/bin/sh
rpl -R '"code.google.com/' '"circuit/yank/code.google.com/' *
rpl -R '"github.com/' '"circuit/yank/github.com/' *
| Shell |
#!/bin/bash
# Generate a very minimal filesystem based on busybox-static,
# and load it into the local docker under the name "busybox".
BUSYBOX=$(which busybox)
[ "$BUSYBOX" ] || {
echo "Sorry, I could not locate busybox."
echo "Try 'apt-get install busybox-static'?"
exit 1
}
set -e
ROOTFS=/tmp/rootfs-bus... | Shell |
#!/bin/bash
# Generate a very minimal filesystem based on busybox-static,
# and load it into the local docker under the name "docker-ut".
missing_pkg() {
echo "Sorry, I could not locate $1"
echo "Try 'apt-get install ${2:-$1}'?"
exit 1
}
BUSYBOX=$(which busybox)
[ "$BUSYBOX" ] || missing_pkg busybox busyb... | Shell |
#!/bin/sh
### BEGIN INIT INFO
# Provides: docker
# Required-Start: $syslog $remote_fs
# Required-Stop: $syslog $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Create lightweight, portable, self-sufficient containers.
# Description:
# Docker is an open-sour... | Shell |
#!/bin/bash
set -e
variant='minbase'
include='iproute,iputils-ping'
arch='amd64' # intentionally undocumented for now
skipDetection=
strictDebootstrap=
justTar=
usage() {
echo >&2
echo >&2 "usage: $0 [options] repo suite [mirror]"
echo >&2
echo >&2 'options: (not recommended)'
echo >&2 " -p set an http_prox... | Shell |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.